org.jboss.logging.processor.generator.model

## Class ClassModel

- java.lang.Object
- - org.jboss.logging.processor.generator.model.ClassModel

    public abstract class ClassModel
    extends Object

The basic java class model.

Author:
  Kevin Pollet - SERLI - (kevin.pollet@serli.com), James R. Perkins

### Field Summary

Fields
`protected org.jboss.jdeparser.JSourceFile` `sourceFile`

### Method Summary

Methods
`protected org.jboss.jdeparser.JMethodDef` `createReadResolveMethod()` Creates the read resolve method and instance field.
`void` `generateAndWrite()` Writes the generated source file to the file system.
`MessageInterface` `messageInterface()` Returns the message interface being used.
`String` `qualifiedClassName()` Get the class name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sourceFile

    protected final org.jboss.jdeparser.JSourceFile sourceFile

### Method Detail

#### messageInterface

    public final MessageInterface messageInterface()

Returns the message interface being used.

Returns:
  the message interface.

#### generateAndWrite

    public final void generateAndWrite()
                                throws IOException

Writes the generated source file to the file system.

Throws:
  `IOException` - if the file could not be written

#### qualifiedClassName

    public final String qualifiedClassName()

Get the class name.

Returns:
  the class name

#### createReadResolveMethod

    protected org.jboss.jdeparser.JMethodDef createReadResolveMethod()

Creates the read resolve method and instance field.

Returns:
  the read resolve method.